Results 1 to 6 of 6
  1. #1
    Member
    Join Date
    Aug 2010
    Location
    San Francisco
    Posts
    2

    FF9 no longer connects to Lightstreamer

    Running LightStreamer 3.6.1 (build 1463.2) and it has been working fine across all our browsers (IE, Chrome, Safari, FireFox, etc.).

    I just upgraded FireFox from version 8.0.1 to version 9 and the LightStreamer code stopped connecting. Go back to version 8, connects just fine, back to version 9, stops connecting. It just never attempts to connect to the LightStreamer server.

    I step through the JavaScript and can not see any exceptions being thrown... help!

  2. #2
    Power Member
    Join Date
    Jul 2006
    Location
    Cesano Maderno, Italy
    Posts
    784
    Hi,

    (assuming you're using the html client library version 4.4.1 build 1396.4, that is the one that came with server 3.6 build 1463.2)
    I didn't test such version of the web client against firefox 9 but I confirm that the latest version of the library works correctly on the new Firefox.

    I suggest to try to run one of the demo that came with the server you downloaded to verify that the issue is with our library and not with your application.
    If that's the case you should upgrade to solve the issue.

    HTH.

  3. #3
    Member
    Join Date
    Aug 2010
    Location
    San Francisco
    Posts
    2
    Can I upgrade just my client code? Or must I upgrade my server and then use the corresponding client package that comes with the server?

  4. #4
    Power Member
    Join Date
    Jul 2006
    Location
    Cesano Maderno, Italy
    Posts
    784
    a newer html client library is not officially compatible with an older server but may partially work; see the changelog for the details: http://www.lightstreamer.com/share/C...TML#web_client

    Please note that we always advise to upgrade the server first (newer servers are always compatible with older client libraries) and then the client.

    In any case, did you had the evidence that the problem is with the client library? An upgrade may not solve your issue if such issue is somewhere else

  5. #5
    Member
    Join Date
    Mar 2009
    Location
    Madrid
    Posts
    16
    I have a similar problem with FF9: Lightstreamer doesn't work.

    In my case, when try to execute pushpage.bind(), the page reloads itself but hangs and i get in the firefox console two errors:
    Code:
    LS_lhL is not defined
    and
    Code:
    attempt to run compile-and-go script on a cleared scope
    This page works fine with others browsers and FF8.

    (Server: 3.6 build 1463 - Html library: 4.3.1)

  6. #6
    Power Member
    Join Date
    Jul 2006
    Location
    Cesano Maderno, Italy
    Posts
    784
    hi,

    as said we guarantee that the latest web client version (4.4.1) correctly works on FX9; older libraries may or may not work (we didn't test that version with FX9 as it is out of our support cycle).

 

 

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
All times are GMT +1. The time now is 06:55 PM.